/*	
						Figure 4
			Expenditure Shares Across the Income Distribution

*/

clear
set more off

********************************************************************************

*Set macros

global user = "Nicolas"	

		
	
		if "$user" == "BobWork" {			
		cd  "C:\Users\wb309100\Dropbox\TPJIE\"
		global mainfolder "C:\Users\wb309100\Dropbox\TPJIE\"
		global results "C:\Users\wb309100\Dropbox\TPJIE\HIT\results"
		global figures    "C:\Users\wb309100\Dropbox\TPJIE\HIT\paper"
		}
			
		if "$user" == "Nicolas" {			
		cd  "C:\Users\wb530118\Dropbox\TPJIE\"
		global mainfolder "C:\Users\wb530118\Dropbox\TPJIE"
		global results "C:\Users\wb530118\Dropbox\Final Submission\HIT\results"
		global figures    "C:\Users\wb530118\Dropbox\Final Submission\HIT\submission\Final Submission\Figures"
		}
		
********************************************************************************

set scheme s2mono

use "$mainfolder\Data\HIT\hhsurveys_collapsed\col_hh_world.dta",  replace


*CORRECTION*
*NOTE : this loop corrects tariffs for Cashews (1261) which should be the same as coconuts (1262)
foreach x in wa_tariff_exp_ wa_tariff_inc_ {
replace `x'1261=`x'1262
}	

replace country="Central African Republic" if ciso=="CAR"
drop if rank==.
gen quintile=recode(rank,20,40,60,80,100)

		
	* Aggregating expenditure and income shares
		egen agexp=rsum(share_exp_11* share_exp_12*)
		egen manexp=rsum(share_exp_2*)
		egen servexp=rsum(share_exp_3*)
		egen otherexp=rsum(share_exp_4*)
		gen homeexp=1-agexp-manexp-servexp-otherexp
		
		tabstat agexp manexp servexp otherexp homeexp, stats(mean sd n min p10 q p90 max)
		
		egen aginc=rsum(share_inc_11* share_inc_12*)
		egen wageinc=rsum(share_inc_2*)
		egen nfeinc=rsum(share_inc_3*)
		egen otherinc=rsum(share_inc_4*)
		gen homeinc=1-aginc-wageinc-nfeinc-otherinc
		
		tabstat aginc wageinc nfeinc otherinc homeinc, stats(mean sd n min p10 q p90 max)
		
	* "World-wide" engel curves	

gen lpce=log(yreal0)

*FIGURE: Expenditure Shares Across the Income Distribution

		twoway lpoly agexp lpce, lwidth(thick) lpattern(dash) || /*
			*/ lpoly manexp lpce , lwidth(thick) lpattern(longdash)|| /*
			*/ lpoly servexp lpce, lwidth(thick) lpattern(solid) || /*
			*/ lpoly otherexp lpce, lwidth(thick) lpattern(dot)|| /*
			*/ lpoly homeexp lpce, lwidth(thick) lpattern(shortdash)  /*
		*/	   ytitle("expenditure share") /*
		*/     xtitle("log per capita expenditure") 	/*
		*/     legend(label(1 "Agriculture and Food") label(2 "Manufacturing") label(3 "Services") /*
		*/      label(4 "Other") label(5 "Home consumption")) /*
		*/     ylabel(, nogrid) 		/*
		*/     graphregion(color(white)) bgcolor(white)  /*
		*/ 	   plotregion(fcolor(white)) graphregion(fcolor(white)) 
		
	graph export "$figures\ArtucPortoRijkers Fig 4.eps", as(eps) replace
