/*	
						Figure 6
			Tariff Dispersion in Agriculture

*/

clear
set more off

********************************************************************************

*Set macros

global user = "Nicolas"	

		if "$user" == "BobWork" {			
		cd  "C:\Users\wb309100\Dropbox\TPJIE\"
		global mainfolder "C:\Users\wb309100\Dropbox\TPJIE\"
		global results "C:\Users\wb309100\Dropbox\TPJIE\HIT\results"
		global figures    "C:\Users\wb309100\Dropbox\TPJIE\HIT\paper"
		}
			
		if "$user" == "Nicolas" {			
		cd  "C:\Users\wb530118\Dropbox\TPJIE\"
		global mainfolder "C:\Users\wb530118\Dropbox\TPJIE"
		global results "C:\Users\wb530118\Dropbox\Final Submission\HIT\results"
		global figures    "C:\Users\wb530118\Dropbox\Final Submission\HIT\submission\Final Submission\Figures"
		}
		
********************************************************************************

set scheme s2mono

use "$mainfolder\Data\HIT\hhsurveys_collapsed\col_hh_world.dta",  replace

*CORRECTION*
*NOTE : this loop corrects tariffs for Cashews (1261) which should be the same as coconuts (1262)
foreach x in wa_tariff_exp_ wa_tariff_inc_ {
replace `x'1261=`x'1262
}
		




	
************************************************************************		
* Tariff graph
************************************************************************		
			* for purpose of this exercise set "crazy" tariffs in Egypt to missing
			* for beer, wine and other alcohol tariffs are astronomical)
			
			replace wa_tariff_inc_1211=. if ciso=="EGY"
			replace wa_tariff_inc_1212=. if ciso=="EGY"
			replace wa_tariff_inc_1213=. if ciso=="EGY"
			
			keep if rank==1
			
			keep ciso wa_tariff_inc_11* wa_tariff_inc_12* 	 country
			egen mean=rmean(wa_tariff_inc*)
			egen min=rmin(wa_tariff_inc*)
			egen max=rmax(wa_tariff_inc*)
			
			sort mean
			ge n=_n 
			
			ge maxadj=max-mean
			
			replace mean=100*mean
			replace max=100*max
			replace maxadj=100*maxadj
			
			graph bar  mean maxadj, stack over(country,  sort(n) descending label(angle(90) labsize(vsmall)))	/*
			*/ legend(label(1 "average tariff") label(2 "maximum tariff")) /*
			*/ ytitle("tariff rate") /*
			*/ 	ylabel(, nogrid) /*
			*/     graphregion(color(white)) bgcolor(white)  /*
			*/ 	   plotregion(fcolor(white)) graphregion(fcolor(white)) scheme(s2mono)

	tabstat mean min max, by(ciso)
	graph export "$figures\ArtucPortoRijkers Fig 6.eps", as(eps) replace
